﻿function blinkElement(id) {
	$(id + " h2").highlightFade({ speed: 300, iterator: 'sinusoidal', complete: function() { $(id + " h2").highlightFade({ speed: 300, iterator: 'sinusoidal'}); } });
}
function toggleExpandAll(sender) {
	if (sender.className == 'collapse') { $(".collapsable").hide(); $(sender).find('a').html('Expand All Sections'); $('.collapse').addClass('expand'); }
	else { $(".collapsable").show(); $(sender).find('a').html('Collapse All Sections'); $('.collapse').removeClass('expand'); }
}

$(document).ready(function() {
    if (window.location.toString().indexOf("#") > 0) {
        var str = document.location.toString().substring(document.location.toString().indexOf("#"), document.location.toString().length);
        blinkElement(str);
    }
    $("#body .collapse").click(function() {
        if (!$(this).hasClass('expand')) {
            $(this).parents('.section').find(".collapsable").hide();
        } else {
            $(this).parents('.section').find(".collapsable").show();
        }
        $(this).toggleClass('expand');
        return false;
    });

    function initLanguageMenu() {
        var arr = new Array();
		var arrDisplay = new Array();
		if ($("div.code.aspnet").length > 0){
			arr.push("aspnet");
			arrDisplay.push("ASP.NET");
		}
		if ($("div.code.vb").length > 0){
			arr.push("vb");
			arrDisplay.push("Visual Basic");
		}
		if ($("div.code.cs").length > 0){
			arr.push("cs");
			arrDisplay.push("C#");
		}
		if ($("div.code.js").length > 0){
			arr.push("js");
			arrDisplay.push("JavaScript");
		}
		if ($("div.code.php").length > 0){
			arr.push("php");
			arrDisplay.push("PHP");
		}

        var menu = document.createElement("ul");
        menu.id = "langaugeMenu";
        for (i = 0; i < arr.length; i++) {
            var li = document.createElement("li");
            var chk = document.createElement("input");
            var label = document.createElement("label");
            chk.id = "lng_" + arr[i];
            chk.type = "checkbox";
            chk.value = arr[i];
            label.innerHTML = arrDisplay[i];
            li.appendChild(chk);
            li.appendChild(label);
            menu.appendChild(li);
        }
        $("#langaugeFilter").append(menu);
        $('#langaugeMenu li').each(function() {
            $(this).find("label").attr("for", "lng_" + $(this).find("input").val());
            $(this).find("input").attr("checked", $.cookie("lng") == null || $.cookie("lng") == "" || ($.cookie("lng") != null && $.cookie("lng").indexOf(arr[i]) > -1) ? "checked" : "");
        });
        $("#langaugeMenu input").click(function() { updateLanguagesState(); });
        updateLanguagesState();
    }

    function updateLanguagesState(obj) {
        $('#langaugeMenu input').each(function() {
            if ($(this).is(':checked')) $("div.code." + $(this).val()).show();
            else $("div.code." + $(this).val()).hide();
        });

        if ($("#langaugeMenu input:checked").length == $("#langaugeMenu input").length) {
            $("#currentLanguages").html("all languages");
            $.cookie("lng", null);
        }
        else if ($("#langaugeMenu input:checked").length == 0) {
            $("#currentLanguages").html("none");
            $.cookie("lng", "");
        }
        else {
            var str = "";
            var cookieVal = "";
            $('#langaugeMenu input:checked').each(function() {
				var lang = document.getElementById("lng_" + $(this).val()).parentNode.lastChild.innerHTML; 
				cookieVal += $(this).val() + ","; 
				str += "<strong>" + lang + "</strong>, " });
            str = str.substring(0, str.length - 2);
            $("#currentLanguages").html(str);
            $.cookie("lng", cookieVal);
        }
    }

    if ($("div.code").length > 0) {
        $("#langaugeFilter").show();
        initLanguageMenu();
        $("#langaugeFilter a").click(function() {
            $("#langaugeMenu").slideToggle("fast");
            $(this).toggleClass("hover");
            return false;
        });
        $("#container").click(function() {
            $("#langaugeMenu:visible").slideUp("fast");
            $("#langaugeFilter a").removeClass("hover");
        })
    }
		
    $("a[target]").addClass("external");
    $("#header a[href=#seeAlsoToggle]").click(function() {
        $("#seeAlsoToggle .collapsable").show();
        $("#seeAlsoToggle .collapse").removeClass("expand");
        $.scrollTo('#seeAlsoToggle', 500, { onAfter: function() { blinkElement('#seeAlsoToggle'); } });
    });
	    $("#header a[href=#propertyTableToggle]").click(function() {
        $("#propertyTableToggle .collapsable").show();
        $("#propertyTableToggle .collapse").removeClass("expand");
        $.scrollTo('#propertyTableToggle', 500, { onAfter: function() { blinkElement('#propertyTableToggle'); } });
    });
	    $("#header a[href=#methodTableToggle]").click(function() {
        $("#methodTableToggle .collapsable").show();
        $("#methodTableToggle .collapse").removeClass("expand");
        $.scrollTo('#methodTableToggle', 500, { onAfter: function() { blinkElement('#methodTableToggle'); } });
    });
	    $("#header a[href=#eventTableToggle]").click(function() {
        $("#eventTableToggle .collapsable").show();
        $("#eventTableToggle .collapse").removeClass("expand");
        $.scrollTo('#eventTableToggle', 500, { onAfter: function() { blinkElement('#eventTableToggle'); } });
    });
	$("#header a[href=#constructorTableToggle]").click(function() {
        $("#constructorTableToggle .collapsable").show();
        $("#constructorTableToggle .collapse").removeClass("expand");
        $.scrollTo('#constructorTableToggle', 500, { onAfter: function() { blinkElement('#constructorTableToggle'); } });
    });
	$("#header a[href=#ExplicitInterfaceImplementationTableToggle]").click(function() {
        $("#ExplicitInterfaceImplementationTableToggle .collapsable").show();
        $("#ExplicitInterfaceImplementationTableToggle .collapse").removeClass("expand");
        $.scrollTo('#ExplicitInterfaceImplementationTableToggle', 500, { onAfter: function() { blinkElement('#ExplicitInterfaceImplementationTableToggle'); } });
    });

});