﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="BasicDemo_Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
	<script src="../Scripts/iuembed.js" type="text/javascript"></script>
	<script type="text/javascript">
		function FileDownloader_DownloadStep(step) {
			//The file list is going to be downloaded
			if (step == 0) {
				var folderSelector = document.getElementById("folder");
				//Read the selected value
				var folderId = folderSelector.options[folderSelector.selectedIndex].value;
				//Append the ID parameter to the file list URL
				//Change the path to the server script if necessary
				getFileDownloader("FileDownloader").setFileList("GetFileList.ashx?id=" + folderId);
			}
		}
	</script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="content" runat="Server">
	<fieldset class="content-block">
		<legend>Download Photos</legend>
		<div class="row">
			<label for="folder">
				Select a folder:</label></div>
		<div class="row">
			<select id="folder">
				<option value="1" selected="selected">Photos of the ocean</option>
				<option value="2">Photos of the sky</option>
				<option value="3">Photos of a mountain</option>
			</select>
		</div>
		<div class="row">
			<script type="text/javascript">
				//Create JavaScript object that will embed File Downloader to the page
				var fd = new FileDownloaderWriter('FileDownloader', 145, 44);

				fd.addParam("BackgroundColor", "#F5F5F5");

				fd.activeXControlCodeBase = '../Scripts/FileDownloader7.cab';
				fd.activeXControlCodeBase64 = '../Scripts/FileDownloader7_x64.cab';

				fd.javaAppletEnabled = true;
				fd.javaAppletCodeBase = '../Scripts';

				//Set the Download button text
				fd.addParam('ButtonDownloadText', 'Download photos');

				//Set license key 
				fd.addParam('LicenseKey', '<%= System.Configuration.ConfigurationManager.AppSettings["FileDownloaderLicenseKey"] %>');

				//The following listener will perform some actions when the file list is about to be downloaded
				fd.addEventListener('DownloadStep', 'FileDownloader_DownloadStep');

				//Tell File Downloader writer object to generate all necessary HTML code to embed File Downloader into the page
				fd.writeHtml();
			</script>
		</div>
	</fieldset>
</asp:Content>
