<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<?php 
  require_once '../Includes/demodata.php';
  $current = DemoData::getCurrentNode();
  list($rootTitle, $rootUrl) = DemoData::getRootPage();
?>
<head>
  <title><?php echo DemoData::getPageTitle(); ?></title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <link href="../Styles/style.css" rel="stylesheet" type="text/css" />
  <!--[if lte IE 9]>  
  <link href="../Styles/ie.css" rel="stylesheet" type="text/css" />
  <![endif]-->
  <script type="text/javascript" src="../Libraries/jquery/jquery-1.4.3.min.js"></script>
  <script type="text/javascript" src="../Scripts/iuembed.js"></script>
  <script type="text/javascript">
    function FileDownloader_DownloadStep(step) {
      //The file list is going to be downloaded
      if (step == 0) {
        var folderSelector = document.getElementById("folder");
        //Read the selected value
        var folderId = folderSelector.options[folderSelector.selectedIndex].value;
        //Append the ID parameter to the file list URL
        //Change the path to the server script if necessary
        getFileDownloader("FileDownloader").setFileList("getfilelist.php?id=" + folderId);
      }
    }
  </script>
</head>
<body>
  <form id="form1" class="page">
  <div id="container">
    <div id="header">
      <div id="header-inner">
        <a class="logo" href="#" title="Aurigma">
          <img src="../Images/logo_dark.png" alt="Aurigma logo" /></a>
      </div>
    </div>
    <div id="center">
      <div class="aB">
        <div class="aB-B">
          <?php echo DemoData::getSecondHeader(); ?>
          <?php if ('Uploaded files' != $current['title']) :?>
            <p><?php echo DemoData::getShortDescription($current['demo']); ?></p>
          <?php endif;?>
          <div class="demo">
            <div class="inner">
              <div class="container">
                <fieldset class="content-block">
                  <legend>Download Photos</legend>
                  <div class="row">
                    <label for="folder">
                      Select a folder:</label>
                  </div>
                  <div class="row">
                    <select id="folder">
                      <option value="1" selected="selected">Photos of the ocean</option>
                      <option value="2">Photos of the sky</option>
                      <option value="3">Photos of a mountain</option>
                    </select>
                  </div>
                  <div class="row code">
                    <script type="text/javascript">
                      //Create JavaScript object that will embed File Downloader to the page
                      var fd = new FileDownloaderWriter('FileDownloader', 145, 44);
              
                      fd.addParam("BackgroundColor", "#F5F5F5");
              
                      fd.activeXControlCodeBase = '../Scripts/FileDownloader7.cab';
                      fd.activeXControlCodeBase64 = '../Scripts/FileDownloader7_x64.cab';
                      
                      fd.javaAppletEnabled = true;
                      fd.javaAppletCodeBase = '../Scripts';
              
                      //Set the Download button text
                      fd.addParam('ButtonDownloadText', 'Download photos');
              
                      //Set license key 
                      fd.addParam('LicenseKey', 'XXXXX-XXXXX-XXXXX-XXXXX-XXXXX-XXXXXX');
              
                      //The following listener will perform some actions when the file list is about to be downloaded
                      fd.addEventListener('DownloadStep', 'FileDownloader_DownloadStep');
              
                      //Tell File Downloader writer object to generate all necessary HTML code to embed File Downloader into the page
                      fd.writeHtml();
                    </script>
                  </div>
                </fieldset>
              </div>
            </div>
          </div>
          <ul class="tabs">
            <li class="selected"><span>Description</span></li>
          </ul>
          <div class="tab-containers">
            <div class="tab-container">
              <div class="tab-inner">
                <?php echo DemoData::getFullDescription($current['demo']); ?>
              </div>
            </div>
          </div>
        </div>
        <div class="aB-a">
          <?php include '../Includes/menu.php';?>
        </div>
      </div>
    </div>
    <div id="footer">
      &copy; 2010 Aurigma, Inc.
    </div>
  </div>
  </form>
</body>
</html>