<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<?php 
  require_once '../Includes/demodata.php';
  $current = DemoData::getCurrentNode();
  list($rootTitle, $rootUrl) = DemoData::getRootPage();
?>
<head>
  <title><?php echo DemoData::getPageTitle(); ?></title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <link href="../Styles/style.css" rel="stylesheet" type="text/css" />
  <!--[if lte IE 9]>  
  <link href="../Styles/ie.css" rel="stylesheet" type="text/css" />
  <![endif]-->
  <link href="localization.css" rel="stylesheet" type="text/css" />
  <script src="../Libraries/jquery/jquery-1.4.3.min.js" type="text/javascript"></script>
  <script type="text/javascript" src="../Scripts/iuembed.js"></script>
  <script type="text/javascript" src="Resources/en.js"></script>
  <script type="text/javascript" src="Resources/ru.js"></script>
  <script type="text/javascript">
    var loaded = false;
    var language = 'en';

    function fullPageLoad() {
      if (loaded != true) {
        loaded = true;
        translate(language);
      }
    }
    function translate(language) {
      //Check if the page is fully loaded
      if (loaded) {
        //Apply translation
        window[language + '_resources'].use(getFileDownloader('FileDownloader'));
      }
    }
  </script>
</head>
<body>
  <form id="form1" class="page">
  <div id="container">
    <div id="header">
      <div id="header-inner">
        <a class="logo" href="#" title="Aurigma">
          <img src="../Images/logo_dark.png" alt="Aurigma logo" /></a>
      </div>
    </div>
    <div id="center">
      <div class="aB">
        <div class="aB-B">
          <?php echo DemoData::getSecondHeader(); ?>
          <?php if ('Uploaded files' != $current['title']) :?>
            <p><?php echo DemoData::getShortDescription($current['demo']); ?></p>
          <?php endif;?>
          <div class="demo">
            <div class="inner">
              <div class="container">
                <fieldset class="content-block">
                  <legend>Download Files</legend>
                  <div class="row">
                    <div>
                      Select a language:</div>
                    <ul class="languages">
                      <li><a href="#" onclick="translate('en');return false;" class="lang">English</a></li>
                      <li><a href="#" onclick="translate('ru');return false;" class="lang">Russian</a></li>
                    </ul>
                  </div>
                  <div style="clear: both">
                  </div>
                  <div class="row code">
                    <script type="text/javascript">
                      //Create JavaScript object that will embed File Downloader to the page
                      var fd = new FileDownloaderWriter('FileDownloader', 100, 44);
                  
                      fd.addParam("BackgroundColor", "#F5F5F5");
                  
                      //For ActiveX control full path to CAB file (including file name) should be specified
                      fd.activeXControlCodeBase = '../Scripts/FileDownloader7.cab';
                      fd.activeXControlCodeBase64 = '../Scripts/FileDownloader7_x64.cab';
                  
                      fd.javaAppletCodeBase = '../Scripts';
                  
                      //Configure URL from which the file list will be downloaded
                      //Change this path if necessary
                      fd.addParam('FileList', 'filelist.txt');
                  
                      //Set license key 
                      fd.addParam('LicenseKey', 'XXXXX-XXXXX-XXXXX-XXXXX-XXXXX-XXXXXX');
                  
                      //Add page load listener
                      fd.fullPageLoadListenerName = 'fullPageLoad';
                  
                      //Tell File Downloader writer object to generate all necessary HTML code to embed File Downloader into the page
                      fd.writeHtml();
                    </script>
                  </div>
                </fieldset>
              </div>
            </div>
          </div>
          <ul class="tabs">
            <li class="selected"><span>Description</span></li>
          </ul>
          <div class="tab-containers">
            <div class="tab-container">
              <div class="tab-inner">
                <?php echo DemoData::getFullDescription($current['demo']); ?>
              </div>
            </div>
          </div>
        </div>
        <div class="aB-a">
          <?php include '../Includes/menu.php';?>
        </div>
      </div>
    </div>
    <div id="footer">
      &copy; 2010 Aurigma, Inc.
    </div>
  </div>
  </form>
</body>
</html>